<#include "module/macro.ftl">

<@head title="首页：${blog_title!}" />
<div class="main">
    <div class="autopagerize_page_element">
        <div class="content">
            <#if posts?? && posts.content?size gt 0>
                <#include "module/post-entry.ftl">
                <#if posts.totalPages gt 1>
                    <@paginationTag method="index" page="${posts.number?c}" total="${posts.totalPages?c}" display="3">
                        <div class="pagination">
                            <ul class="clearfix">
                                <#if pagination.hasPrev>
                                    <li class="pre pagbuttons">
                                        <a class="btn" role="navigation" href="${pagination.prevPageFullPath!}">上一页</a>
                                    </li>
                                </#if>
                                <#if pagination.hasNext>
                                    <li class="next pagbuttons">
                                        <a class="btn" role="navigation" href="${pagination.nextPageFullPath!}">下一页</a>
                                    </li>
                                </#if>
                            </ul>
                        </div>
                    </@paginationTag>
                </#if>
            <#else>
                <div class="post">
                    <h3 class="page-title">无内容，请及时添加哦~</h3>
                </div>
            </#if>
        </div>
    </div>
    <@menu/>
</div>
<@footer/>

<script defer>
    // 控制导航栏是否显示的变量
    var topNavShow = false
    // 声明一个数组存放比对数据
    var scrollData = []
    // 一个响应速度的参数，值越大响应越慢
    var responseSpeed = 2
    // 监听页面滚动，处理菜单栏是否显示/隐藏
    window.addEventListener("scroll", function () {
        var scrollTop =
            document.documentElement.scrollTop ||
            window.pageYOffset ||
            document.body.scrollTop;

        // 只有不在最顶部时才会生效
        if (scrollTop > 1) {
            <#--  console.log(scrollData);  -->
            if (scrollData.length == responseSpeed) {
                if (
                    scrollData[0] <
                    scrollData[responseSpeed - 1]
                ) {
                    // 下划，屏幕往上走，隐藏
                    topNavShow = false;
                }
                if (
                    scrollData[0] >
                    scrollData[responseSpeed - 1]
                ) {
                    // 上划，屏幕往下走，显示
                    topNavShow = true;
                }
            }
            if (scrollData.length >= responseSpeed) {
                scrollData = [];
            } else {
                scrollData.push(scrollTop);
            }
        } else {
            topNavShow = true;
        }

        if(topNavShow){ //上划显示
            $(".float-menu").fadeIn();
            $(".float-menu").fadeIn("slow");
            $(".float-menu").fadeIn(3000);
        }else{ //下滑隐藏
            $(".float-menu").fadeOut();
            $(".float-menu").fadeOut("slow");
            $(".float-menu").fadeOut(3000);

            //其他功能标签打开时顺便隐藏
            if(tagShowSearch) {
                $("#float-menu-search").fadeOut();
                $("#float-menu-search").fadeOut("slow");
                $("#float-menu-search").fadeOut(3000);
                tagShowSearch = false
            }
            if(tagShowCategory) {
                $("#float-menu-category").fadeOut();
                $("#float-menu-category").fadeOut("slow");
                $("#float-menu-category").fadeOut(3000);
                tagShowCategory = false
            }
            if(tagShowTag) {
                $("#float-menu-tag").fadeOut();
                $("#float-menu-tag").fadeOut("slow");
                $("#float-menu-tag").fadeOut(3000);
                tagShowTag = false
            }
        }
    });
</script>

