<#include "module/macro.ftl">

<@head title="文章：${post.title!}"/>
<div class="main">
    <div class="autopagerize_page_element">
        <div class="content">
            <div class="post-page">
                <div class="post animated fadeInDown">
                    <div class="post-title">
                        <h3>
                            <a>${post.title}</a>
                        </h3>
                    </div>
                    <div class="post-content">
                        ${post.formatContent!}
                    </div>
                    <div class="post-footer">
                        <div class="meta">
                            <div class="info">
                                <#--  创建日期  -->
                                <i class="fa fa-calendar-o"></i>
                                <span class="tagPost">${post.createTime?string("yyyy-MM-dd hh:mm:ss")}</span>

                                <#--  更新日期  -->
                                <i class="fa fa-calendar-plus-o"></i>
                                <span class="tagPost">${post.updateTime?string("yyyy-MM-dd hh:mm:ss")}</span>

                                <#--  字数  -->
                                <i class="fa fa-keyboard-o"></i>
                                <span class="tagPost">${post.wordCount!}</span>

                                <#--  浏览数  -->
                                <i class="fa fa-eye"></i>
                                <span class="tagPost">${post.visits!}</span>

                                <#--  评论数  -->
                                <i class="fa fa-comment-o"></i>
                                <span class="tagPost">${post.commentCount!}</span>

                                <#--  标签  -->
                                <#if post.tags?size gt 0>
                                    <i class="fa fa-bookmark-o"></i>
                                    <#list post.tags as tag>
                                        <a href="${tag.fullPath}" class="tagPost markerTagPost">&nbsp;${tag.name}</a>
                                        <#if tag_has_next>/</#if>
                                    </#list>
                                </#if>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="pagination">
                    <ul class="clearfix">
                        <#if nextPost??>
                            <li class="next pagbuttons">
                                <a class="btn" role="navigation" href="${nextPost.fullPath!}" title="${nextPost.title}">下一篇</a>
                            </li>
                        </#if>
                        <#if prevPost??>
                            <li class="pre pagbuttons">
                                <a class="btn" role="navigation" href="${prevPost.fullPath!}" title="${prevPost.title}">上一篇</a>
                            </li>
                        </#if>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <@menu/>
</div>
<@footer/>
